Subject: git rm --cached and pull semantics

From: [email-masked]
Date: Sat, 16 Jan 2010 17:50:01 +0100

Hello everyone,

I'm trying to manage and distribute a subset of /etc with git.
Therefore, I have * in .gitignore and use git add -f to add files. Now
sometimes I want to un-track a file that has been in previous commits,
but naturally I don't want the file deleted. I just want git to ignore
it again. As I read it, the way to do that is "git rm --cached $file".
On the local working tree, that works as expected, but when some remote
machine pulls a subsequent commit, it deletes the file from its working
tree. But I just want git to ignore the file again, just as it does in
the origin repo. How can I do that?

thanks for your time